'**********************************************************
'**  Bug-report from EuLive
'**  September 2010
'**  Copyright (c) 2010 EULIVE BROADCASTING LLC.
'**********************************************************

REM ******************************************************
REM Main - all Roku scripts startup here.
REM ******************************************************
Sub Main()
    print "Entering Main"

    port = CreateObject("roMessagePort")

    screen = createObject("roScreen",true, 1280, 720)
    screen.setAlphaEnable(true)
    screen.setPort(port)

    bm1 = createObject("roBitmap",{width:1280,height:720,AlphaEnable:true})
    bm2 = createObject("roBitmap",{width:1024,height:512,AlphaEnable:true})
    'bm3 = createObject("roBitmap",{width:1280,height:720,AlphaEnable:true})

    bm1.clear(&h0)
    bm2.clear(&h0)
    'bm3.clear(&h0)

    player = createObject("roVideoPlayer")
    player.SetMessagePort(port)
    player.SetDestinationRect({x: 0, y: 0, w: 0, h: 0})
    player.SetLoop(false)
    player.SetPositionNotificationPeriod(1)

    player.stop()
    player.ClearContent()
    content = {
		StreamBitrates: [0]
		StreamUrls: ["http://184.72.239.149/vod/smil:BigBuckBunny.smil/playlist.m3u8"]
		StreamQualities: ["SD"]
		StreamFormat: "hls"
		Title: "TV"
		MinBandwidth: 32
	    }
    player.AddContent(content)
    player.Play()

    while true
	msg = wait(100, port)

	if type(msg)="roVideoPlayerEvent" then
		if msg.isStatusMessage() then
		    m.displayScreenShot = true
		    p = FIX(msg.getIndex()/10)
		    if p<>0 then
			print("Loading"+stri(p)+"%")
		    end if

		elseif msg.isRequestFailed() then
		    print "Request Failed: " + Stri(msg.GetIndex()) + ": " + msg.GetMessage()

		    ' Clean messages queue
		    messages = 0
		    while msg <> invalid 
			msg = wait(1, port)
			messages = messages + 1
		    end while
		    print "Cleaned" + stri(messages) + " messages in queue"

		elseif msg.isPlaybackPosition() then
		    playbackPosition = msg.getIndex()
		    print playbackPosition

		elseif msg.isPaused() then

		elseif msg.isResumed() then

		end if
	end if

	screen.clear(0)
	'screen.drawObject(0,0,bm1)
	'screen.drawObject(0,0,bm2)
	'screen.drawObject(0,0,bm3)
	screen.swapBuffers()

    end while

End Sub
